Map the notes in the svg so they can respond to events and interact with the mouse/keyboard

### Hierarchy

- SuiMapper
  - SuiTracker

## Index

### Constructors

- constructor

### Methods

- createLocalModifiersFromModifierTabs
- intersectingArtifact
- isAdjacentSelection

## Constructors

### constructor

- new SuiMapper(renderer: SuiRendererBase, scroller: SuiScroller, pasteBuffer: PasteBuffer): SuiMapper

- - Defined in src/render/sui/mapper.ts:67

  #### Parameters

  - ##### renderer: SuiRendererBase

  - ##### scroller: SuiScroller

  - ##### pasteBuffer: PasteBuffer

  #### Returns SuiMapper

## Methods

### createLocalModifiersFromModifierTabs

- createLocalModifiersFromModifierTabs(modifierTabs: ModifierTab[]): void

- - Defined in src/render/sui/mapper.ts:151

  When a modifier is selected graphically, update the selection list and create a local modifier list

  #### Parameters

  - ##### modifierTabs: ModifierTab[]

  #### Returns void

### intersectingArtifact

- intersectingArtifact(bb: SvgBox): void

- - Defined in src/render/sui/mapper.ts:585

  Find any musical elements at the supplied screen coordinates and set them as the selection

  #### Parameters

  - ##### bb: SvgBox

  #### Returns void

### isAdjacentSelection

- isAdjacentSelection(s1: SmoSelection, s2: SmoSelection): boolean

- - Defined in src/render/sui/mapper.ts:372

  returns true of the selections are adjacent

  #### Parameters

  - ##### s1: SmoSelection

    a selections

  - ##### s2: SmoSelection

    another election

  #### Returns boolean

Generated using TypeDoc